SYSTEM REQUIREMENTS

Home / HELP CENTER/SYSTEM REQUIREMENTS

weeererer

System requirements for use of Empatix medical and DoktorKu

Empatix Medical and DoktorKu works on almost all devices that you can go online with. If this is a an old Nokia mobile phone from last century or top of the class computer from this year, it will still be working as long as it have an internet connection, a browser following international standards and a monitor.

System requirements for use of Empatix medical and DoktorKu

Minimum requirements for software is that your device, whatever it is a old mobile phone, new smart phone, Pad, Lap top, desktop computer, server, TV or any other device you can go online with have a browser. If you can use Facebook, read detik.com, use google.com or any other web pages, you can use Empatix Medical and DoktorKu.net.

If you have slow connection or and old Mobile phone, we suggest you use Opera Mini as your browser. This browser is customized for slow connection and small screens. This browser is free and easy to download and install.

Please read more about How to install Opera Mini

We take care of servers and backups Join Now!